import { CLIArgs } from "../CLI";
import { Service } from "./Service";
declare class AuthenticatedAPI {
    private readonly accountId;
    private readonly applicationKey;
    private renewSync;
    constructor(accountId: string, applicationKey: string);
    private _authToken;
    readonly authToken: string;
    private _url;
    readonly url: string;
    private _recommendedPartSize;
    readonly recommendedPartSize: number;
    renew(): Promise<void>;
}
export interface BackblazeB2Options {
    accountId: string;
    applicationKey: string;
    bucketId: string;
}
export declare const parseBackblazeB2Options: (args: CLIArgs) => BackblazeB2Options;
export interface BackblazeB2State {
    readonly api: AuthenticatedAPI;
    readonly bucketId: string;
}
export declare const BackblazeB2: Service<BackblazeB2Options, BackblazeB2State>;
export {};
