"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class AssertionError extends Error {
    constructor(details) {
        super(`This should not happen: ${details}`);
    }
}
exports.AssertionError = AssertionError;
class UnreachableError extends AssertionError {
    constructor(val) {
        // Use String as other ways of converting Symbols may throw an exception.
        super(String(val));
    }
}
exports.UnreachableError = UnreachableError;
exports.assertExists = (val) => {
    if (val == null) {
        throw new AssertionError(`Unexpected null or undefined`);
    }
    return val;
};
exports.assertTrue = (b) => {
    if (!b) {
        throw new AssertionError(`Unexpected false`);
    }
};
//# sourceMappingURL=assert.js.map