/// <reference types="node" />
import fs from "fs";
export interface HTTPRequest {
    method: "HEAD" | "GET" | "POST" | "PUT" | "DELETE";
    url: string;
    headers: {
        [name: string]: string | number;
    };
    body?: string | fs.ReadStream | object | null;
}
export declare class HTTPBadStatusError extends Error {
    readonly statusCode: number;
    constructor(status: number, body: any, url: string);
}
export declare const http: <R = any>({ method, url, headers, body }: HTTPRequest) => Promise<R>;
