"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
function nullableReadFile(path, encoding) {
    return __awaiter(this, void 0, void 0, function* () {
        try {
            return yield fs_1.promises.readFile(path, encoding);
        }
        catch (err) {
            if (err.code == "ENOENT") {
                return null;
            }
            throw err;
        }
    });
}
exports.nullableReadFile = nullableReadFile;
function nullableReadJson(path) {
    return __awaiter(this, void 0, void 0, function* () {
        const raw = yield nullableReadFile(path, "utf8");
        return raw != null ? JSON.parse(raw) : null;
    });
}
exports.nullableReadJson = nullableReadJson;
//# sourceMappingURL=nullableReadFile.js.map