"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const crypto_1 = __importDefault(require("crypto"));
exports.sha1File = (stream) => {
    return new Promise((resolve, reject) => {
        const hash = crypto_1.default.createHash(`sha1`);
        stream.on("error", err => reject(err));
        stream.on("data", chunk => hash.update(chunk));
        stream.on("end", () => resolve(hash.digest()));
    });
};
//# sourceMappingURL=sha1File.js.map